# Interface AccessibleHypertext

All Superinterfaces:
  `AccessibleText`

All Known Implementing Classes:
  `JEditorPane.JEditorPaneAccessibleHypertextSupport`

public interface AccessibleHypertext extends AccessibleText
The `AccessibleHypertext` class is the base class for all classes that present hypertext information on the display. This class provides the standard mechanism for an assistive technology to access that text via its content, attributes, and spatial location. It also provides standard mechanisms for manipulating hyperlinks. Applications can determine if an object supports the `AccessibleHypertext` interface by first obtaining its `AccessibleContext` (see `Accessible`) and then calling the `AccessibleContext.getAccessibleText()` method of `AccessibleContext`. If the return value is a class which extends `AccessibleHypertext`, then that object supports `AccessibleHypertext`.

See Also:
  - `Accessible`
  - `Accessible.getAccessibleContext()`
  - `AccessibleContext`
  - `AccessibleText`
  - `AccessibleContext.getAccessibleText()`

- ## Field Summary

  ### Fields declared in interface AccessibleText

  `CHARACTER, SENTENCE, WORD`
  Modifier and Type
  Field
  Description
  `static final int`
  `CHARACTER`
  Constant used to indicate that the part of the text that should be retrieved is a character.
  `static final int`
  `SENTENCE`
  Constant used to indicate that the part of the text that should be retrieved is a sentence.
  `static final int`
  `WORD`
  Constant used to indicate that the part of the text that should be retrieved is a word.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessibleHyperlink`
  `getLink(int linkIndex)`
  Returns the nth Link of this Hypertext document.
  `int`
  `getLinkCount()`
  Returns the number of links within this hypertext document.
  `int`
  `getLinkIndex(int charIndex)`
  Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.

  ### Methods declared in interface AccessibleText

  `getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart`
  Modifier and Type
  Method
  Description
  `String`
  `getAfterIndex(int part, int index)`
  Returns the `String` after a given index.
  `String`
  `getAtIndex(int part, int index)`
  Returns the `String` at a given index.
  `String`
  `getBeforeIndex(int part, int index)`
  Returns the `String` before a given index.
  `int`
  `getCaretPosition()`
  Returns the zero-based offset of the caret.
  `AttributeSet`
  `getCharacterAttribute(int i)`
  Returns the `AttributeSet` for a given character at a given index.
  `Rectangle`
  `getCharacterBounds(int i)`
  Determines the bounding box of the character at the given index into the string.
  `int`
  `getCharCount()`
  Returns the number of characters (valid indices).
  `int`
  `getIndexAtPoint(Point p)`
  Given a point in local coordinates, return the zero-based index of the character under that point.
  `String`
  `getSelectedText()`
  Returns the portion of the text that is selected.
  `int`
  `getSelectionEnd()`
  Returns the end offset within the selected text.
  `int`
  `getSelectionStart()`
  Returns the start offset within the selected text.

- ## Method Details

  - ### getLinkCount

    int getLinkCount()
    Returns the number of links within this hypertext document.
    Returns:
      number of links in this hypertext doc

  - ### getLink

    AccessibleHyperlink getLink(int linkIndex)
    Returns the nth Link of this Hypertext document.
    Parameters:
      `linkIndex` - within the links of this Hypertext
    Returns:
      Link object encapsulating the nth link(s)

  - ### getLinkIndex

    int getLinkIndex(int charIndex)
    Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
    Parameters:
      `charIndex` - index within the text
    Returns:
      index into the set of hyperlinks for this hypertext doc